import { IgrStrategyBasedIndicator } from "./igr-strategy-based-indicator";
import { TypicalPriceIndicator } from "./TypicalPriceIndicator";
/**
 * Represents a IgxDataChartComponent Typical Price indicator series.
 * The typical price indicator is represented as a arithmetic average
 * of the High, Low, and Close for a day.
 * Default required members: High, Low, Close
*/
export class IgrTypicalPriceIndicator extends IgrStrategyBasedIndicator {
    createImplementation() {
        return new TypicalPriceIndicator();
    }
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
}
